Page MenuHomePhabricator

Simplify logic for resultsFound
Closed, ResolvedPublic

Description

On master (not yet on prod), when a user visit the personal uploads tab but has no personal uploads, the message and CTA are not displaying due to a bug in the way the resultsFound config item is being passed to the cardstack widget. I'm going to fix this and simplify things so that resultsFound doesn't need to be passed to the cardstack by its parent component, since it can be derived from config already passed to the cardstack (i.e. the image data array).

Current behavior:

Details

Related Gerrit Patches:
mediawiki/extensions/MachineVision : masterSimplify resultsFound logic

Event Timeline

AnneT created this task.Nov 26 2019, 9:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 26 2019, 9:09 PM

Change 553187 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/MachineVision@master] Simplify resultsFound logic

https://gerrit.wikimedia.org/r/553187

AnneT moved this task from Backlog to In development on the MachineVision board.Nov 26 2019, 10:38 PM

Change 553187 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Simplify resultsFound logic

https://gerrit.wikimedia.org/r/553187

AnneT moved this task from In development to Done on the MachineVision board.Dec 2 2019, 8:27 PM
Ramsey-WMF closed this task as Resolved.Dec 16 2019, 5:44 PM